<div class="grid">

	<header class="row no-padding heading clearfix">
		<div class="col-1 no-padding"><h2>Redigera Återförsäljare</h2></div>
	</header>

	<div class="row clearfix">
			<form name="updateReseller" novalidate>
				<div svab-feedback-target="user.administration.reseller.update"></div>
						<fieldset>
							<div class="col-1">
								<p><label class="form-required">Organisationsnummer</label><input name="orgNr"
								                                                                  type="text"
								                                                                  ng-model="reseller.resellerId"
								                                                                  placeholder="Organisationsnummer"
								                                                                  disabled="disabled"/></p>
							</div>

							<div class="col-1">
								<p><label class="form-required">Namn</label><input name="name"
								                                                         type="text"
								                                                         ng-model="reseller.name"
								                                                         placeholder="Namn"
								                                                         ng-required="true"/></p>

								<div ng-messages="updateReseller.name.$error" ng-show="updateReseller.name.$touched">
									<p class="form-feedback error" ng-message="required">Ange namn</p>
								</div>
							</div>

							<div class="col-1">
								<p><label class="form-required">Pris</label><input name="price"
								                                                   type="number"
								                                                   ng-model="reseller.price"
								                                                   placeholder="Prenumerationspris"
								                                                   ng-required="true"/></p>

								<div ng-messages="updateReseller.price.$error" ng-show="updateReseller.price.$touched">
									<p class="form-feedback error" ng-message="required">Ange prenumerationspris</p>
								</div>
							</div>

								<p class="col-1"><label>C/o</label><input name="cOAdress"
							                                          type="text"
							                                          ng-model="reseller.address.cOAdress"
							                                          placeholder="C/O"/></p>

								<p class="col-1"><label>Adress</label><input name="streetAddress"
								                                                     type="text"
								                                                     ng-model="reseller.address.streetAddress"
								                                                     placeholder="Adress"/></p>

								<p class="col-1"><label>Postnr</label><input name="zipCode"
								                                                     type="text"
								                                                     ng-model="reseller.address.zipCode"
								                                                     placeholder="Postnummer"/>
								</p>

								<p class="col-1"><label>Postort</label><input name="addressCity"
								                                                      type="text"
								                                                      ng-model="reseller.address.city"
								                                                      placeholder="Postort"/></p>

								<p class="col-1"><label>Land</label><input name="addressCountry"
							                                           type="text"
							                                           ng-model="reseller.address.country"
							                                           placeholder="Land"/></p>

								<p class="col-1"><label>Telefonnr</label><input name="contactDetailsPhoneNumber"
								                                                        type="text"
								                                                        ng-model="reseller.contactDetails.phoneNumber"
								                                                        placeholder="Telefonnummer"/>
								</p>

								<p class="col-1"><label>Email</label><input name="contactDetailsEmail"
								                                                    type="email"
								                                                    ng-model="reseller.contactDetails.email"
								                                                    placeholder="Email"/></p>


						</fieldset>

					<p class="col-1-2">
						<button class="" type="submit" ng-click="undoEdit(updateReseller)">Ångra</button>
					</p>
					<p class="col-1-2">
						<button class="update" type="submit" ng-click="saveReseller(updateReseller)">Spara</button>
					</p>
			</form>
	</div>

</div>